Package org.snpeff.util

# Class Iterator2Iterable<T>

java.lang.Object
org.snpeff.util.Iterator2Iterable<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Iterable<T>`

public class Iterator2Iterable<T> extends Object implements Iterable<T>
Convert an iterator instance to a (fake) iterable

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`Iterator2Iterable(Iterator<T> iterator)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<T>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Iterator2Iterable

public Iterator2Iterable(Iterator<T> iterator)

## Method Details

### iterator

public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`